Number: 1786
Title: OpenBSD compile error for Graphviz 2.24.0 tarball
Submitter: Doug Coleman
Date: Fri Oct 9 18:07:30 2009
Subsys: Build
Version: 2.24.0
System: *-Other-
Severity: minor
Problem:
Graphviz failed to compile libfilereq's Draw.c.

I'm running OpenBSD 4.5 on amd64 and the build command was just: ./configure; make

The problem is the 'intptr_t' type is not defined.

The fix I used:

#include <stdint.h>

Thanks.
Fix:
#include <stdint.h>

in the file cmd/lefty/ws/x11/libfilereq/Draw.c
Owner: *
Status: *